namespace Application.Features.Api.Studio.Settlement.GetTax;

public sealed record Response(
    int Year,
    AnnualSummary AnnualSummary,
    List<MonthItem> MonthlyList
);

public sealed record AnnualSummary(
    int TotalGrossAmount,
    int TotalIncomeTax,
    int TotalLocalTax,
    int TotalNetAmount
);

public sealed record MonthItem(
    int Month,
    int GrossAmount,
    int IncomeTax,
    int LocalTax,
    int NetAmount,
    int PaymentCount
);